pipe Questions
3
Solved
I have two processes defined by processBuilders:
ProcessBuilder pb1 = new ProcessBuilder (...)
ProcessBuilder pb2 = new ProcessBuilder (...)
I want the output of pb1 to be the input to pb2.
I fo...
Olander asked 29/2, 2016 at 18:32
4
I have recently come across the code |> in R. It is a vertical line character (pipe) followed by a greater than symbol.
Here is an example:
mtcars |> head()
What is the |> code doing?
4
Solved
4
I have to implement the Bash set -o pipefail option in a POSIX way so that it works on various Linux/Unix flavors. To explain a bit, this option enables the user to verify the successful execution ...
Peashooter asked 26/10, 2012 at 9:33
4
Is there some similar option in dash shell corresponding to pipefail in bash?
Or any other way of getting a non-zero status if one of the commands in pipe fail (but not exiting on it which set -e ...
Preemie asked 19/7, 2013 at 23:34
5
Solved
I'm trying to create post sharing web site. I want to create date ago pipe in angular.
import {Pipe, PipeTransform} from 'angular2/core';
@Pipe({
name: 'messageTime',
pure: false
})
export cl...
Drislane asked 21/4, 2020 at 10:57
3
Solved
The step following the establishment of a connection with an anonymous pipe requires the server calling DisposeLocalCopyOfClientHandle. MSDN explains:
The DisposeLocalCopyOfClientHandle method sho...
2
Solved
I have Windows 10 and had Docker Desktop installed. After they changed terms of commercial use I decided to remove Docker Desktop installation and use just docker engine itself (as I didn't use GUI...
Lynlyncean asked 28/1, 2022 at 9:36
17
Solved
I want to execute a long running command in Bash, and both capture its exit status, and tee its output.
So I do this:
command | tee out.txt
ST=$?
The problem is that the variable ST captures th...
Screenplay asked 3/8, 2009 at 11:31
7
Solved
This code makes a sentence from two different columns in a data frame
library(dplyr); library(tibble); library(magrittr)
mtcars %>%
rownames_to_column(var = "car") %>%
sample_n(...
1
I'm using turbo feature called turbo prune which creates folder out with partial copy of my monorepo, but unfortunately that means that when running in GitHub Actions commands like turbo run ...
5
Solved
I know how to read the command line arguments, but I am having difficulties reading the command output from a pipe.
Connect a program (A) that outputs data to my Rust program using a pipe:
A | R...
Wale asked 9/4, 2018 at 12:30
7
If I have the need to bind multiple properties from the same observable within my component template...
For example:
<my-random-component[id]="(myObservable$ | async).id">
...
<my-rando...
Holystone asked 10/10, 2018 at 22:30
4
Solved
I want to create a pipe where it can transform year (1992) to age (26) (Korean Age)
I figure I should load current year (2017), subtract 1992 and add +1
but I am not sure how to make this happen...
2
Solved
I tried to use anonymous pipes in C#, but it fails even with the most basic example. Here's the server console app:
namespace Server
{
using System;
using System.Diagnostics;
using System.IO.Pi...
10
Solved
I have as simple function in a bash script and I would like to pipe stdout to it as an input.
jc_hms(){
printf "$1"
}
I'd like to use it in this manner.
var=`echo "teststring" | jc_hms`
Of c...
3
What I would like to do is create a sort of "pipe" (like a pipe between processes), but between c++ iostreams within the same program. I have a function that requires an input stream as an argument...
3
Solved
I am trying to interact with an external program in C using pipe, fork and exec. I want to force the external program to perform unbuffered I/O. Here's a relevant snippet from my code so far:
...
...
8
Solved
I see a "pipe" character (|) used in a function call:
res = c1.create(go, come, swim, "", startTime, endTime, "OK", ax|bx)
What is the meaning of the pipe in ax|bx?
Aalborg asked 13/5, 2011 at 7:29
5
Solved
Any idea to solve this problem?
I just created a new project and I want tu use System.IO.Pipes
I install the package System.IO.Pipes with NuGet, he is my reference directory but when I try to buil...
Melar asked 10/3, 2019 at 18:56
10
It's really annoying to type this whenever I don't want to see a program's output. I'd love to know if there is a shorter way to write:
$ program >/dev/null 2>&1
Generic shell is the b...
Woozy asked 30/5, 2009 at 0:51
5
Solved
What are the fundamental differences between queues and pipes in Python's multiprocessing package?
In what scenarios should one choose one over the other? When is it advantageous to use Pipe()? Wh...
Breakaway asked 11/12, 2011 at 9:28
6
Solved
Basically I'm wondering why this doesn't output anything:
tail --follow=name file.txt | grep something | grep something_else
You can assume that it should produce output I have run another line...
Convection asked 25/3, 2011 at 1:9
6
Solved
It's well known how to pipe the standard ouput of a process into another processes standard input:
proc1 | proc2
But what if I want to send the standard error of proc1 to proc2 and leave the sta...
8
Solved
I tried searching on the net, but there are hardly any resources. A small example would suffice.
EDIT
I mean, two different C programs communicating with each other. One program should send "Hi" a...
1 Next >
© 2022 - 2025 — McMap. All rights reserved.